sampler sampler0_ : register(s0);

struct PS_INPUT
{
	float4 diffuse : COLOR0;
	float2 texCoord : TEXCOORD0;
	float2 vPos : VPOS;
};

struct PS_OUTPUT
{
    float4 color : COLOR0;
};

float4 objColor;

PS_OUTPUT PsRecolor( PS_INPUT In ) : COLOR0
{
	PS_OUTPUT Out;

	float4 colorTexture = tex2D(sampler0_, In.texCoord);
	float4 colorDiffuse = In.diffuse;
	float4 color = colorTexture * colorDiffuse;

	Out.color.rgb = lerp(color.rgb,objColor.rgb,objColor.a);
	Out.color.a = color.a;

	return Out;
}

technique Render
{
	pass P0
	{
		PixelShader = compile ps_3_0 PsRecolor();
	}
}

